%define lib_api		0
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel	%mklibname %{name} -d

Name:		serd
Version:	0.32.2
Release:	%mkrel 1
Summary:	Lightweight RDF syntax library
License:	ISC License (ISC)
Group:		System/Libraries
URL:		https://drobilla.net/software/serd/
Source0:	https://download.drobilla.net/%{name}-%{version}.tar.xz

BuildRequires:	meson
BuildRequires:	pkgconfig
BuildRequires:	doxygen
BuildRequires:	python3
BuildRequires:	python-sphinx
BuildRequires:  python-sphinx-lv2-theme
BuildRequires:  mandoc-bin
BuildRequires:  python3-sphinxygen

%description
Lightweight C library for RDF syntax which supports reading
and writing Turtle and NTriples. Serd is not intended to be a Swiss army
knife of RDF syntax, but rather is suited to resource limited or
performance critical applications, or situations where a simple
reader/writer with minimal dependencies is ideal
(e.g. in LV2 hosts or plugins).


%package -n %{lib_name}
Summary:	Lightweight RDF syntax library
Group:		System/Libraries

%description -n %{lib_name}
Lightweight C library for RDF syntax which supports reading
and writing Turtle and NTriples. Serd is not intended to be a Swiss-army
knife of RDF syntax, but rather is suited to resource limited or
performance critical applications, or situations where a simple
reader/writer with minimal dependencies is ideal
(e.g. in LV2 hosts or plugins).


%package -n %{lib_name_devel}
Summary:	Headers for the Lightweight RDF syntax library
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against serd.


%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install


%files -n %{name}
%doc NEWS README.md
%{_bindir}/serdi
%{_mandir}/man1/serdi.*
%{_docdir}/%{name}-%{lib_api}/

%files -n %{lib_name}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}{,.*}

%files -n %{lib_name_devel}
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc


%changelog
* Mon Feb 05 2024 philippedidier <philippedidier> 0.32.2-1.mga10
+ Revision: 2037348
- new version 0.32.2

* Fri Jan 26 2024 philippedidier <philippedidier> 0.32.0-1.mga10
+ Revision: 2035133
- new version 0.32.0
+ daviddavid <daviddavid>
- own include dir

* Sun Dec 11 2022 wally <wally> 0.30.16-3.mga9
+ Revision: 1920583
- enable mistakenly disabled debug pkgs

* Sun Dec 11 2022 philippedidier <philippedidier> 0.30.16-2.mga9
+ Revision: 1920545
- add BuildRequire python3-sphinx
- add BuildRequire doxygen
- new version 0.30.16 - now building with meson instead of waf

* Sat Mar 19 2022 umeabot <umeabot> 0.30.10-2.mga9
+ Revision: 1799821
- Mageia 9 Mass Rebuild

* Wed Mar 03 2021 daviddavid <daviddavid> 0.30.10-1.mga9
+ Revision: 1697155
- new version: 0.30.10

* Wed Oct 14 2020 luigiwalser <luigiwalser> 0.30.6-1.mga8
+ Revision: 1636062
- 0.30.6

* Wed Jul 01 2020 daviddavid <daviddavid> 0.30.2-2.mga8
+ Revision: 1600980
- compile with system waf (from archlinux)
- do not mark manpage as doc

* Wed Jul 01 2020 zezinho <zezinho> 0.30.2-1.mga8
+ Revision: 1600926
- new version bugfix 0.30.2

* Fri Feb 14 2020 umeabot <umeabot> 0.30.0-2.mga8
+ Revision: 1521694
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sat Dec 29 2018 luigiwalser <luigiwalser> 0.30.0-1.mga7
+ Revision: 1346483
- 0.30.0

* Sun Sep 23 2018 umeabot <umeabot> 0.28.0-2.mga7
+ Revision: 1300999
- Mageia 7 Mass Rebuild

* Wed Apr 18 2018 kekepower <kekepower> 0.28.0-1.mga7
+ Revision: 1219912
- Update to version 0.28.0

* Sun Jan 01 2017 luigiwalser <luigiwalser> 0.24.0-1.mga6
+ Revision: 1078941
- 0.24.0

* Wed Feb 17 2016 umeabot <umeabot> 0.22.0-2.mga6
+ Revision: 962805
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 barjac <barjac> 0.22.0-1.mga6
+ Revision: 894936
- new version 0.22.0
- removed old obsolete

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-3.mga5
+ Revision: 742543
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-2.mga5
+ Revision: 689112
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 barjac <barjac> 0.20.0-1.mga5
+ Revision: 669647
- new version 0.20.0

* Sat Oct 19 2013 umeabot <umeabot> 0.18.2-3.mga4
+ Revision: 529870
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 wally <wally> 0.18.2-2.mga4
+ Revision: 453814
- fix lib pkg name
- use our build time flags
- drop unneeded requires from devel pkg

* Sat Jul 13 2013 philippedidier <philippedidier> 0.18.2-1.mga4
+ Revision: 453622
- new version 0.18.2

* Mon Jan 14 2013 umeabot <umeabot> 0.18.0-2.mga3
+ Revision: 381940
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 barjac <barjac> 0.18.0-1.mga3
+ Revision: 321337
- new version
- minor spec clean

* Wed Sep 07 2011 tv <tv> 0.4.2-1.mga2
+ Revision: 140013
- imported package serd

